#!/bin/sh
CURL=""
source /tmp/run/versions.txt
if [ $platform_kind == android ]; then
CURL="/firmware/bin/curl"
elif (echo $platform_kind | grep -E -q "87.."); then
CURL="../../bin/curl.87xx"
elif (echo $platform_kind | grep -E -q "864."); then
CURL="../../bin/curl.864x"
elif (echo $platform_kind | grep -E -q "867."); then
CURL="../../bin/curl.867x"
elif (echo $platform_kind | grep -E -q "865."); then
CURL="../../bin/curl.865x"
fi

Range=$(cat "/tmp/run/shell.log" | grep "SAES: successful seek to " | tail -n 1 | sed "s|SAES: successful seek to ||" | tr -d "." )
if [ -z $Range ]; then
Range=0
fi
QUERY_STRING=${QUERY_STRING/http:/https:}
$CURL $QUERY_STRING -k --include -H "Range: bytes=${Range}-"